Package org.apache.lucene.replicator

## Class IndexInputInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.lucene.replicator.IndexInputInputStream

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      @Deprecated
      public final class IndexInputInputStream
      extends InputStream

  Deprecated.
  use org.apache.lucene.replicator.nrt instead
  An `InputStream` which wraps an `IndexInput`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndexInputInputStream​(IndexInput in)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `available()` | Deprecated.
    `void` | `close()` | Deprecated.
    `int` | `read()` | Deprecated.
    `int` | `read​(byte[] b)` | Deprecated.
    `int` | `read​(byte[] b, int off, int len)` | Deprecated.
    `long` | `skip​(long n)` | Deprecated.

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, nullInputStream, readAllBytes, readNBytes, readNBytes, reset, transferTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexInputInputStream

          public IndexInputInputStream​(IndexInput in)

      Deprecated.

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Deprecated.
      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### available

          public int available()
                        throws IOException

      Deprecated.
      Overrides:
        `available` in class `InputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Deprecated.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Overrides:
        `close` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read​(byte[] b)
                   throws IOException

      Deprecated.
      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read​(byte[] b,
                          int off,
                          int len)
                   throws IOException

      Deprecated.
      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### skip

          public long skip​(long n)
                    throws IOException

      Deprecated.
      Overrides:
        `skip` in class `InputStream`
      Throws:
        `IOException`